# draugr.torch_utilities.operations.sizes.max_pool2d.max_pool2d_hw_shape

draugr.torch_utilities.operations.sizes.max_pool2d.max_pool2d_hw_shape(h_w: Union [ int , Tuple [ int , int ]], pool_size: Union [ int , Tuple [ int , int ]] = 2, stride: Optional [ Union [ int , Tuple [ int , int ]]] = None, pad: Union [ int , Tuple [ int , int ]] = 0, dilation: Union [ int , Tuple [ int , int ]] = 1) → Tuple [ int , int ]
  \[\]
  H_{out} = leftlfloorfrac{H_{in} + 2 * text{padding[0]} - text{dilation[0]}

    times (text{kernel_size[0]} - 1) - 1}{text{stride[0]}} + 1rightrfloor

  \[\]
  W_{out} = leftlfloorfrac{W_{in} + 2 * text{padding[1]} - text{dilation[1]}

    times (text{kernel_size[1]} - 1) - 1}{text{stride[1]}} + 1rightrfloor

  Parameters

    - pool_size –

    - h_w –

    - stride –

    - pad –

    - dilation –

  Returns

  Return type